Removing in favor of http://projects.theforeman.org/issues/9893. Also see http://theforeman.github.io/foreman_remote_execution/design/

Packaging

We need the following packaged for remote execution, both DEB and RPM:

  • foreman_remote_execution
  • smart_proxy_remote_execution_ssh
  • smart_proxy_dynflow

For RPM distributions, smart_proxy_dynflow has a requirement on the dynflow gem, which is only available as SCL. This package needs to be rebuilt for non-scl as well. Because it relies on ruby 1.9.x, it can only be EL7 for now.